From 5f7827cb014f4be6ce5f6a44534f02d40bc5a8dc Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 16 2017 14:44:27 +0000
Subject: [PATCH 5/24] PostgreSQL compatibility


---

diff --git a/hubs/models.py b/hubs/models.py
index d54dccd..0a58e40 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -120,7 +120,8 @@ class Association(BASE):
     user_id = sa.Column(sa.Text,
                         sa.ForeignKey('users.username'),
                         primary_key=True)
-    role = sa.Column(sa.Enum(*roles), primary_key=True)
+    role = sa.Column(
+        sa.Enum(*roles, name="roles"), primary_key=True)
 
     user = relation("User", backref=backref(
         'associations', cascade="all, delete, delete-orphan"))
@@ -327,7 +328,8 @@ class HubConfig(BASE):
     chat_domain = sa.Column(sa.String(256), nullable=True)
     auth_group = sa.Column(sa.String(256), nullable=True)
     visibility = sa.Column(
-        sa.Enum(*VISIBILITY), default="public", nullable=False)
+        sa.Enum(*VISIBILITY, name="hub_visibility"),
+        default="public", nullable=False)
 
     def __json__(self):
         return {
@@ -362,12 +364,13 @@ class Widget(ObjectAuthzMixin, BASE):
     plugin = sa.Column(sa.String(50), nullable=False)
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
     hub_id = sa.Column(sa.String(50), sa.ForeignKey('hubs.name'))
-    _config = sa.Column(sa.String(256), default=_widget_config_default)
+    _config = sa.Column(sa.Text, default=_widget_config_default)
 
     index = sa.Column(sa.Integer, nullable=False)
     left = sa.Column(sa.Boolean, nullable=False, default=False)
     visibility = sa.Column(
-        sa.Enum(*VISIBILITY), default="public", nullable=False)
+        sa.Enum(*VISIBILITY, name="widget_visibility"),
+        default="public", nullable=False)
 
     @classmethod
     def by_idx(cls, idx):

